---
title: "Notes on '13 Ways Designers Screw Up Client Presentations'"
date: 2019-05-21T22:20:14-04:00
draft: false
---

I watched a great talk by [Mike Monteiro](http://mikemonteiro.com/) recently called [13 Ways Designers Screw Up Client Presentations](https://www.youtube.com/watch?v=IXXKqwrEql4). You should really watch the talk but this post is just a quick summary of the points he got across in the presentation.

## Intro

You need to sell your work! Great work is worth nothing if you can't persuade the client it is good.

Don't leave the selling to other people. That is your job. Every decision you make is backed by some data or experience. If you're not there, then you lose context and won't be there for feedback.

On to the mistakes....

## 1. You are not there to be the client's friend

You are there to solve the client's goal. Happiness is the side-effect of good design, not a goal.

You are there to convince the client not to go down avenues that run counter to their goals. That's what they hired you for. You need to present yourself as the expert that they believed they hired.

For example, your doctor needs to tell you if you have a cracked tooth. Do you think that they would hide this information from you because it might hurt your feelings? No, because it is their job to tell you this information.

## 2. Not getting off your ass

It should be obvious when you enter the room, who is in charge of the presentation.

Confidence isn't about you feeling better, it is about your client feeling better.

## 3. Starting with an apology

Every time you apologize for something you are freaking the client out. No matter how much you hoped to present at the presentation, by the time you get to that room, you have the perfect amount of stuff.

If you don't feel like the work is up to spec, cancel the presentation. Do not have a presentation of work you cannot stand behind. It is better to cancel than waste people's time. You can get away with this exactly once during a project.

Your client probably works for somebody higher up, the minute you start apologizing to them, they imagine themselves apologizing to their boss!

## 4. Not Setting the Stage Properly

You have gathered busy people together, they probably have other things they can be doing, so let them know what this presentation is for.

Let them know why they are a necessary and important part of this conversation.

You need to address these two things at the beginning of the presentation

1. Why are we here?
   1. Let them know what their roles are, why they are here, what you are going to show, and what you need from them.
2. When can we leave?
   1. Let them know what it takes for the goal of the meeting to be met. The minute you get it, the meeting is over. Never give a client time to unmake a decision, especially a decision in your favor.

Once you have gotten what you need, keep quiet. Everything you do beyond that threatens to undo the victory you just got.

## 5. Giving the Real Estate Tour

You don't sell a house by talking about the sheetrock. You sell it by getting a buyer to picture themselves in the neighborhood, by picturing the kids in the playground, etc.

You sell the benefits of the work, and you sell how the work matches the project goals.

Every decision on that page should be made with the benefit of data and good research, but people make decisions based on stories.

## 6. Taking Notes

Find somebody else to take the notes. You are giving the presentation.

## 7. Reading a Script

You need to convince the client that you are excited about the product. 

"Without promotion something terrible happens.... Nothing" - PT. Barnum

## 8. Getting Defensive

You are not your work, and your work is not you.

Your work is a product made to meet a client's goals. The client is free to criticize the work and is free to tell you whether they believe it has met the goals or not. You are free to present evidence to the contrary but not get hurt by the criticism. 

When the client starts critiquing the work listen to what they're saying, don't feel like you have to defend everything they're saying right then and there. You also don't have to promise them anything then and there, sometimes it's best to sit on it for a while.

When a client is giving you feedback it is a great time to keep your mouth shut.

## 9. Mentioning Typefaces

Clients don't care about typefaces. You don't really want their input on this. Clients are uncomfortable in your field. The more you dive into these things, the more uncomfortable they're going to get. And it's going to look like you're inviting them to do your job for them. 

Stop asking for permission to do a job you were hired for.

Their comfort zone is their business needs, which is great since you are never going to be an expert on their domain. Talk about your work in terms of their business and needs.

## 10. Talking about how hard you worked

You're not getting a grade on effort.

If you do the work right, it will look like it was effortless.

## 11. Reacting to questions as change requests

"Why is this blue?"

"Oh I can change it."

Sometimes the client just has a question! They're just looking for your reasoning.

## 12. Not guiding the feedback loop

Most clients have no idea what kind of feedback you are looking for. They are not trained in your work. Anything that helps you do your job is part of your job. Know what you want before calling the presentation.

Some suggestions:

1. How well does this reflect your brand?
2. How well does this reflect your users' needs as we discussed in the research?
3. How well does this reflect your ad strategy?

They're not going to give it to you unless you explicitly ask for it.

## 13. Asking "Do you like it?"

If it had a like button on it would you push it?

All the work you and your team did went down the drain! The client is no longer looking at you as an expert. 

Every decision on the project has been made with the benefit of expertise and data and you just uttered the most subjective phrase.

If you want to make your client's happy, make them successful.